<?php ob_start();?>
<style>
#openFile{
	display:none;
}
</style>
<?php
$title = 'Редактировать категорию';
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/head.php');
admin(3);
$_GET['id'] = abs(intval($_GET['id']));
$query = $db->query("SELECT * FROM `categories` WHERE `id`='".$_GET['id']."'");
if($query->num_rows==0){
	header('location:/admin/categories');
}
$categorie = $query->fetch_assoc();
if(isset($_POST['ok'])){
	$_POST['name'] = input($_POST['name']);
	if(empty($_POST['name'])){?>
		<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-remove-sign" aria-hidden="true"></span> Введите название!</div>
	<?}else{
		if(file_exists($_FILES['file']['tmp_name'])){
			$types = explode(',', 'png,jpg,jpeg,bmp,ico,JPG');
			$upfiletype = substr($_FILES['file']['name'], strrpos($_FILES['file']['name'], ".") + 1);
			if($_FILES['file']['size'] > (1048576 * 5)){
				?>
				<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-remove-sign" aria-hidden="true"></span> Размер выгружаемого файла, не должен превышать 5 мб!</div>
				<?
			}elseif(!in_array($upfiletype, $types)){
				?>
				<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-remove-sign" aria-hidden="true"></span> Файл такого типа выгружать запрещено!</div>
				<?
			}else{
				unlink($_SERVER["DOCUMENT_ROOT"].'/files/images/categories/'.$_GET['id'].'.jpg');
				copy($_FILES['file']['tmp_name'], $_SERVER["DOCUMENT_ROOT"].'/files/images/categories/'.$_GET['id'].'.jpg');
			}
		}
		$db->query("UPDATE `categories` SET `name`='".$_POST['name']."' WHERE `id`='".$_GET['id']."'");
		header('location:/categories/'.$categorie['podkat']);
	}
}
?>
<div class="container theme-showcase" role="main">
	<div class="page-header">
		<h1>Редактирование раздела</h1>
	</div>
	<div class="row">
		<form action="" method="POST" enctype="multipart/form-data">
			<label for="inputName">Название</label>
			<input type="text" class="form-control" placeholder="Введите название раздела" rows="5" name="name" id="inputName" value="<?=$categorie['name']?>">
			<br>
			<input type="file" name="file" id="openFile" accept="image/*,image/jpeg">
			<label for="openFile"><small class="btn btn-default btn-xs"><i class="glyphicon glyphicon-camera"></i> Прикрепить изображение</small></label>
			<br>
			<button type="submit" class="btn btn-primary" name="ok">Обновить</button>
		</form>
	</div>
</div>

<?php
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/foot.php');
?>